[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.ScrollBy

Tells the widget to scroll the client area by the specified relative values.

## Declaration

Source position: forms.pp line 204

`public procedure TScrollingWinControl.ScrollBy(`
`DeltaX: Integer;`
`DeltaY: Integer`
`); override;`

## Arguments

`DeltaX` |  | Horizontal distance for the scroll operation.
`DeltaY` |  | Vertical distance for the scroll operation.

## Description

ScrollBy calls the inherited ScrollBy_WS to apply the relative horizontal and vertical values to the widgetset class instance. An exception is raised if the handle has not been allocated. The still visible part doesn't deserve a repaint (optimization).